
%define mtex usr/share/texmf
%define mloc usr/local/share/texmf

Summary:	Rutgers Letterhead
Name:		rutgersletter
Version:	1.1
Release:	1.ru
License:	Rutgers OSS
Group:		none
Source:		rutgersletter-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-root
Distribution:	Rutgers OSS
BuildArch:	noarch
Packager:	Brian Schubert <schubert@nbcs.rutgers.edu>
Requires:	tetex

%description
teTex add-on for letter headers, footers, and formatting.

%prep
%setup -q

%build
#nothing to build

%install
rm -rf %{buildroot}

TEMPMF="usr/share/texmf"
TEMPLOCAL="usr/local/share/texmf"
export TEMPLOCAL TEMPMF

mkdir -p %{buildroot}/$TEMPLOCAL
mkdir -p %{buildroot}/$TEMPMF

cp -rpf $RPM_BUILD_DIR/rutgersletter-%{version}/local/* %{buildroot}/$TEMPLOCAL
cp -rpf $RPM_BUILD_DIR/rutgersletter-%{version}/texmf/* %{buildroot}/$TEMPMF

%preun
	
if [ -f /usr/bin/texhash ]; then
	/usr/bin/texhash
else
	echo "/usr/bin/texthash not found!"
fi

if [ -f /usr/bin/updmap-sys ]; then
	/usr/bin/updmap-sys --disable bera.map --quiet >/dev/null 2>/dev/null
	sleep 3
	/usr/bin/updmap-sys --quiet >/dev/null 2>/dev/null

elif [ -f /usr/bin/updmap ]; then
	/usr/bin/updmap --disable bera.map --quiet >/dev/null 2>/dev/null
	sleep 3
	/usr/bin/updmap --quiet >/dev/null 2>/dev/null
else
	echo "/usr/bin/updmap-sys and /usr/bin/updmap not found!"
fi

%post

if [ -f /usr/bin/texhash ]; then
	/usr/bin/texhash
else
        echo "/usr/bin/texthash not found!"
fi

if [ -f /usr/bin/updmap-sys ]; then
	/usr/bin/updmap-sys --enable Map bera.map --quiet >/dev/null 2>/dev/null
	sleep 3
	/usr/bin/updmap-sys --quiet >/dev/null 2>/dev/null
elif [ -f /usr/bin/updmap ]; then
	/usr/bin/updmap --enable Map bera.map --quiet >/dev/null 2>/dev/null
	sleep 3
	/usr/bin/updmap --quiet >/dev/null 2>/dev/null
else
        echo "/usr/bin/updmap-sys and /usr/bin/updmap not found!"
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc Instructions pers.cfg.example
/%{mloc}/tex/generic/rutgers/*
/%{mloc}/tex/latex/bera/*
/%{mloc}/tex/latex/rutgers/*
/%{mloc}/tex/rutgers/*
/%{mloc}/fonts/vf/public/bera/*
/%{mloc}/fonts/map/vtex/bera.ali
/%{mloc}/fonts/map/dvips/bera.map
/%{mloc}/fonts/type1/public/bera/*
/%{mloc}/fonts/tfm/public/bera/*
/%{mloc}/fonts/afm/public/bera/*
/%{mloc}/doc/fonts/bera/bera.txt
/%{mloc}/doc/fonts/bera/LICENSE
/%{mtex}/dvips/config/bera.map
/%{mloc}/misc/updmap.patch

%changelog
* Thu Jul 17 2008 Brian Schubert <schubert@nbcs.rutgers.edu> 1.1-1
- Version 1.1 has some changes to conform to Rutgers Identity specifications
* Sat Nov 17 2007 David Lee Halik <dhalik@nbcs.rutgers.edu> - 1.0-1
- Initial Build.
